Bug 859863 - F16 RPM version of couchdb compiled with wrong version of Erlang
F16 RPM version of couchdb compiled with wrong version of Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: couchdb (Show other bugs)
16
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 04:44 EDT by juxstarr
Modified: 2012-12-14 07:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 07:54:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juxstarr 2012-09-24 04:44:10 EDT
Description of problem:

The RPM version of couchdb (1.1.1 seems to have been compiled with the wrong version of Erlang and exits with this: I've tried a downgrade but that version also exits with the same code. Must require recompilation.

=CRASH REPORT==== 24-Sep-2012::09:38:37 ===
  crasher:
    initial call: application_master:init/4
    pid: <0.31.0>
    registered_name: []
    exception exit: {bad_return,
                        {{couch_app,start,
                             [normal,
                              ["/etc/couchdb/default.ini",
                               "/etc/couchdb/local.ini"]]},
                         {'EXIT',
                             "Driver compiled with incorrect version of erl_driver.h"}}}
      in function  application_master:init/4 (application_master.erl, line 138)
    ancestors: [<0.30.0>]
    messages: [{'EXIT',<0.32.0>,normal}]
    links: [<0.30.0>,<0.7.0>]
    dictionary: []
    trap_exit: true
    status: running
    heap_size: 610
    stack_size: 24
    reductions: 98
  neighbours:

=INFO REPORT==== 24-Sep-2012::09:38:37 ===
    application: couch
    exited: {bad_return,{{couch_app,start,
                                    [normal,
                                     ["/etc/couchdb/default.ini",
                                      "/etc/couchdb/local.ini"]]},
                         {'EXIT',"Driver compiled with incorrect version of erl_driver.h"}}}
    type: temporary



Version-Release number of selected component (if applicable):
Name        : couchdb
Arch        : i686
Version     : 1.1.1
Release     : 1.fc16
Size        : 1.8 M
Repo        : installed
From repo   : updates


How reproducible:
yum install couchdb
couchdb
Comment 1 Fedora Update System 2012-09-24 05:29:57 EDT
couchdb-1.1.1-4.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/couchdb-1.1.1-4.fc16.1
Comment 2 Fedora Update System 2012-09-25 00:25:03 EDT
Package couchdb-1.1.1-4.fc16.1:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing couchdb-1.1.1-4.fc16.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14711/couchdb-1.1.1-4.fc16.1
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.